RUNNING-BEAR(6)

NAME
running-bear — The launcher for games made with the Bear Engine.

SYNOPSIS

running-bear --data-path=path ... --item-library=path ... --start-level=path [-h] [--log-concise] [--log-file=file] [--log-level=string] [--log-uniq] [-v] [--active-area=integer] [--fullscreen | --windowed ] [--game-name=string] [--game-var-assignment=character] [--screen-height=integer] [--screen-width=integer] [--set-game-var-bool=name=value ...] [--set-game-var-int=name=value ...] [--set-game-var-real=name=value ...] [--set-game-var-string=name=value ...] [--set-game-var-uint=name=value ...] --stats-destination=url

DESCRIPTION

This program is a launcher for games made with the Bear Engine.

OPTIONS

The following options can be passed to the program:

--active-area=integer
    The margin around the camera in which we check for activity.

--data-path=path
    Path to the directory containing the data of the game. When a file is required during the game, the paths are explored from the last one on the command line toward the first one.

--fullscreen
    Run the game in fullscreen mode.

--game-name=string
    The name of the game.

--game-var-assignment=character
    Change the delimiter used in --set-game-var-"type" to separate the name and the value of the variable.

-h, --help
    Show summary of options.

--item-library=path
    Path to a library containing items for the game.

--log-concise
    Do not display log messages that have recently been displayed.

--log-file=file
    Write log output in "file".

--log-level=string
    Output log messages up to a given level, among "error", "warning" and "verbose".

--log-uniq
    Do not display the same log message successively.

--screen-height=integer
    The height of the screen

--screen-width=integer
    The width of the screen.

--set-game-var-bool=name=value
    Set the value of a boolean game variable.

--set-game-var-int=name=value
    Set the value of an integer game variable.

--set-game-var-real=name=value
    Set the value of a real number game variable.

--set-game-var-string=name=value
    Set the value of a string game variable.

--set-game-var-uint=name=value
    Set the value of a non negative integer game variable.

--start-level=string
    The path to the first level to run, relatively to the data paths.

--stats-destination=url
    Set the value of the destination to which game statistics are sent.

-v, --version
    Print the version of the engine and exit.

--windowed
    Run the game in a window.

AUTHOR

This manual page was written by Julien Jorge julien.jorge@gamned.org. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.